%define		_status		alpha
%define		_pearname	Validate_AT
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - Validation class for AT
Summary(pl.UTF-8):	%{_pearname} - Klasa sprawdzająca poprawność dla Austrii
Name:		php-pear-%{_pearname}
Version:	0.5.2
Release:	3
License:	New BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	227d00ceaa05b627ad45c57a59cff129
URL:		http://pear.php.net/package/Validate_AT/
BuildRequires:	php-pear-PEAR >= 1:1.6.1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.2.0
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.6.1
Requires:	php-pear-Validate >= 0.5.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Package containes locale validation for AT such as:
- SSN
- Postal Code

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa sprawdzająca poprawność dla Austrii danych takich jak:
- numer ubezpieczenia (SSN)
- kod pocztowy

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Validate/AT.php
%dir %{php_pear_dir}/data/Validate_AT
%{php_pear_dir}/data/Validate_AT/AT_postcodes.txt
%changelog
* Wed May 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Validate_AT.git;a=log;h=master

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> 00821b1
- use virtual php extension deps (to be independant of php version)
- release 3 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 40ce53e
- tests are no longer installed - don't try to remove them

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 48ccd16
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> aa5547b
- up to 0.5.2

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 5bb6cbd
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 25d923b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a7b68bf
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 274d36a
- BR rpm-build macros >= 1.300 for %pear_ macros

* Fri Apr 28 2006 Jakub Bogusz <qboosh@pld-linux.org> 51a51c7
- missing dir, pl cosmetic

* Mon Apr 24 2006 Adam Gołębiowski <adamg@pld-linux.org> 847595b
- new

